#include "FrequencyTuningStatusFreqDto.h"

FrequencyTuningStatusFreqDto::FrequencyTuningStatusFreqDto(QObject *parent) : DeviceFrameBaseDto(parent)
{

}

QJsonObject FrequencyTuningStatusFreqDto::toJSON()
{
    QJsonObject jsonObj;

    QJsonObject dataObj;
    dataObj.insert("devStatus", devStatus);
    dataObj.insert("freqAdjust", freqAdjust);
    dataObj.insert("freqAdjustAcc", freqAdjustAcc);
    dataObj.insert("pulseWidth", pulseWidth);
    dataObj.insert("phaseAdjust", phaseAdjust);
    dataObj.insert("phaseShift", phaseShift);

    jsonObj.insert("ts", this->milisecond);
    jsonObj.insert("frameType", this->frameType);
    jsonObj.insert("data", dataObj);

    return jsonObj;
}
